Bug 256713 - multimedia/opentoonz: update makefile
Summary: multimedia/opentoonz: update makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on: 252086
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-19 10:52 UTC by Ivan Rozhuk
Modified: 2021-06-26 22:27 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments
patch (4.58 KB, patch)
2021-06-19 10:52 UTC, Ivan Rozhuk
no flags Details | Diff
patch (4.61 KB, patch)
2021-06-22 22:43 UTC, Ivan Rozhuk
no flags Details | Diff
patch (5.28 KB, patch)
2021-06-23 00:19 UTC, Ivan Rozhuk
no flags Details | Diff
patch (5.23 KB, patch)
2021-06-23 00:22 UTC, Ivan Rozhuk
no flags Details | Diff
patch (5.28 KB, patch)
2021-06-24 01:16 UTC, Ivan Rozhuk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Rozhuk 2021-06-19 10:52:42 UTC
Created attachment 225928 [details]
patch

- add installation shortcut to apps menu
- add missed deps: print/freetype2, multimedia/ffmpeg
- add WITH_DEBUG CXXFLAGS
- add pkg-message about missed tiff support
- drop libjson-c.so, gettext-runtime deps, it required only for libmypaint.so
- remove glib20 dep
- remove .gitkeep files
- switch to USES= blaslapack:openblas from LIB_DEPENDS=	libgslcblas.so:math/gsl
Comment 1 Tobias C. Berner freebsd_committer 2021-06-21 06:45:06 UTC
Moin moin 

Why add INSTALLS_ICONS? -- that's a gnome.mk thing.


mfg Tobias
Comment 2 Ivan Rozhuk 2021-06-22 22:37:59 UTC
(In reply to Tobias C. Berner from comment #1)

Without INSTALLS_ICONS I got no icon in xfce4 menu for opentoonz.
Comment 3 Ivan Rozhuk 2021-06-22 22:43:00 UTC
Created attachment 225998 [details]
patch
Comment 4 Ivan Rozhuk 2021-06-23 00:19:16 UTC
Created attachment 226000 [details]
patch

Add blas lib selection.
Also ensure that only selected lib linked with opentoonz.
Comment 5 Ivan Rozhuk 2021-06-23 00:22:11 UTC
Created attachment 226001 [details]
patch
Comment 6 Tobias C. Berner freebsd_committer 2021-06-23 08:23:06 UTC
(In reply to rozhuk.im from comment #5)
Moin moin

Do you want the maintainership?


mfg Tobias
Comment 7 Ivan Rozhuk 2021-06-24 01:16:30 UTC
Created attachment 226021 [details]
patch

Ok, take it.
Comment 8 commit-hook freebsd_committer 2021-06-26 22:27:27 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=834cafe74f5f0dca8264176cdb0246607b3d805d

commit 834cafe74f5f0dca8264176cdb0246607b3d805d
Author:     Adriaan de Groot <adridg@FreeBSD.org>
AuthorDate: 2021-06-26 22:22:58 +0000
Commit:     Adriaan de Groot <adridg@FreeBSD.org>
CommitDate: 2021-06-26 22:26:27 +0000

    multimedia/opentoonz: massage dependencies, hand off maintainership

    This is all rozhuk.im's work, (but without a name to attach I can't
    easily set --author, so let's stick to an 'Obtained from' line).

    - add installation shortcut to apps menu
    - add missed deps: print/freetype2, multimedia/ffmpeg
    - add WITH_DEBUG CXXFLAGS
    - add pkg-message about missed tiff support
    - drop libjson-c.so, gettext-runtime deps, it required only for libmypaint.so
    - remove glib20 dep
    - remove .gitkeep files
    - switch to USES= blaslapack:openblas from LIB_DEPENDS= libgslcblas.so:math/gsl

    PR:             256713
    Approved by:    tcberner (kde@)
    Obtained from:  rozhuk.im@gmail.com

 multimedia/opentoonz/Makefile          | 46 ++++++++++++++++++++++++++++------
 multimedia/opentoonz/pkg-descr         |  9 ++++---
 multimedia/opentoonz/pkg-message (new) | 12 +++++++++
 multimedia/opentoonz/pkg-plist         |  6 ++---
 4 files changed, 59 insertions(+), 14 deletions(-)